
Product Side - Support #1298

【U-NEXT経由USEN向けサービス】USENデータ使用状況の自動配信メールについて

09/20/2016 12:06 AM - Enkin Oh

Status: Closed Start date: 09/19/2016

Priority: High Due date: 11/04/2016

Assignee: Takashi Arakaki % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 29.50 hours

Type:  プロジェクト内容:  

Category:    

Description

ご担当者様

USEN向けサービスのデータ使用状況の自動配信メールについて、以下のルールで配信設定をお願いいたします。

・送信先(株式会社USEN)：usenlte_m2m@usen.co.jp　CC(株式会社U-NEXT)：jci-pj@unext.jp

・送信周期：週に1回

・送信時間：毎週月曜日のAM9:00

・送信内容：①電話番号　②データ量(上り/下り)　

・送信ルール：毎週月曜日のAM9:00に先週一週間分のデータ量(上り/下り)を電話番号別に

　　　　　　　①日別で集計/表示　　②1週間の合計データ量を集計/表示。

・USENに自動配信するメールアドレスはic-order@j-com.co.jp、メールのフッターも日本通信株式会社　セールスサポートでお願いします。(X-mobileと同じ)

送信本文一例(メールデータ使用状況一覧を添付)

株式会社USEN

ご担当者 様

いつも大変お世話になっております。

日本通信セールスサポートでございます。

添付のとおり、貴社先週ご利用回線のデータ通信量をご連絡致します。

ご査収の程、何卒宜しくお願い致します

+++--------------------------------+++

　日本通信 株式会社　

　セールスサポート

　〒105-0001

　東京都港区虎ノ門4−1−28

　虎ノ門タワーズ オフィス23階

　TEL : 03-5776-1700

　E-mail : ic-order@j-com.co.jp

+++--------------------------------+++

サービス仕様書を添付いたします。

お手数をおかけいたしますが、

次回の送信(9/26 AM 9:00)までにご用意をお願いできますでしょうか。

よろしくお願いいたします。

　　

Subtasks:

Bug # 1704: USENデータ利用量レポートにおけるデータの欠損について（10/28問題発生、10/31修正版プログラムの適用。修正を確認） Closed

Support # 1735: スタンダードプラン導入時の確認事項 In Progress

Support # 1758: USENサービス 10/31黒出荷回線（受注番号：1460958）のプラン変更依頼 Resolved

Bug # 2070: USENデータ利用量レポートのスタンダードプラン利用回線についての調査 Closed
History

#1 - 09/20/2016 12:23 AM - Enkin Oh

訂正。

データ量の通知は上り/下り以外、上り下りの合計もお願いします。

・送信内容：①電話番号　②データ量(上り/下り/上り下りの合計)　

・送信ルール：毎週月曜日のAM9:00に先週一週間分のデータ量(上り/下り/合計)を電話番号別に

　　　　　　　①日別で集計/表示　　②1週間の合計データ量を集計/表示。

#2 - 09/21/2016 01:07 AM - Atsuko Satta

- Due date set to 09/26/2016

- Assignee set to Takashi Arakaki

#3 - 09/21/2016 04:13 PM - Takashi Arakaki

- Due date changed from 09/26/2016 to 10/03/2016

来週初めからの導入が難しいため、期限を１週間先延ばしした上で対応します。

#4 - 09/21/2016 07:35 PM - Takashi Arakaki

- % Done changed from 0 to 10

王さん

Godzilla出荷情報を確認したところ、どうもUSEN向けのサービスで接続契約が分かれておらず、契約ではUSEN向けの商品の特定ができないようです（契約種別で絞り込もうとしたところ、プリペイド７万回線も含めて結果が返って

きました）。

この場合、絞込みについては、契約種別での絞込に代えて、商品コードでの絞込で対応するほかなさそうですが、それで問題ないか、ご確認をお願いします。

電話番号の検索条件：

Godzilla回線プロファイルにおけるモデル名：UN-DL-US, UN-DLM-US, UN-DLN-US

※上記の商品コードが、USEN用途以外でも利用された場合、不要な回線の利用量が表示される可能性があります。

#5 - 09/21/2016 11:39 PM - Enkin Oh

新垣さん

①サービスの抽出方法について

商品コードUN-DL-US, UN-DLM-US, UN-DLN-USはUSEN用途以外に使う予定がありませんので、商品コードでの絞りこみは問題ないと思います。

②作業期間

来週初めからの導入が難しいとのことは承知いたしました。

来週月曜日のデータ量メール送信はおそらく手動送信になると思いますが、

確認の上、また相談させていただきます。

よろしくお願いいたします。
#6 - 09/22/2016 08:52 PM - Tomonori Sakagami

新垣さん、

10/3からの配信という事でUSENと交渉してもらうように調整しました。

そのため、現状は手動送信は不要と考えています。

#7 - 09/22/2016 10:20 PM - Takashi Arakaki

- % Done changed from 10 to 30

#8 - 09/23/2016 07:26 PM - Takashi Arakaki

- % Done changed from 30 to 80

#9 - 09/23/2016 10:56 PM - Takashi Arakaki

- File DailyDataUsage_201609240854.csv added

- File WeeklyDataUsage_201609240854.csv added

- % Done changed from 80 to 30

レポート送信について、了解しました。

メールレポートですが、以下の内容でテストして、動作することを確認します。

レポートはcsvファイルにして、日別、週集計の形式で、添付しています。

サーバーの移設がまだ完了できていませんが、サーバー移設後本番環境に機能

を実装する予定となります。

==============

差出人: ic-order@j-com.co.jp

宛先: tarakaki@j-com.co.jp

送信済み: 2016年9月23日, 金曜日 午後 5:54:53

件名: 【日本通信】データ通信量のご連絡

株式会社USEN

ご担当者 様

いつも大変お世話になっております。

日本通信セールスサポートでございます。

添付のとおり、貴社先週ご利用回線のデータ通信量をご連絡致します。

ご査収の程、何卒宜しくお願い致します。

+++--------------------------------+++

　日本通信株式会社　

　セールスサポート

　〒105-0001

　東京都港区虎ノ門4−1−28

　虎ノ門タワーズ オフィス23階

　TEL : 03-5776-1700

　E-mail : ic-order@j-com.co.jp

+++--------------------------------+++
#10 - 09/27/2016 11:08 AM - Takashi Arakaki

差出人: "Oh Enkin" eoh@j-com.co.jp

宛先: "Takashi Arakaki" tarakaki@j-com.co.jp

送信済み: 2016年9月27日, 火曜日 午前 4:15:50

件名: Re: [Product Side - Support #1298] 【U-NEXT経由USEN向けサービス】USENデータ使用状況の自動配信メールについて

新垣さん

お疲れ様です。

USENデータ使用状況の自動配信メールについてですが、

社内確認用のために、

BCC にic-orderのアドレスic-order@j-com.co.jpを追加していただけますでしょうか。

本日redmineにログインできないので、

取り急ぎメールで連絡いたします。

明日redmineのチケットに追加します。

よろしくお願いいたします。

王　燕金

#11 - 09/27/2016 11:10 AM - Takashi Arakaki

送り先メールアドレスについては、可変にしているため、対応可能です。

BCCにic-orderのアドレスを追加する件、了解しました。

サーバー移設後のテストで疎通が確認出来次第、設定に反映させます。

#12 - 09/27/2016 08:37 PM - Takashi Arakaki

- % Done changed from 30 to 100

#13 - 10/11/2016 11:32 AM - Takashi Arakaki

- Status changed from New to Closed

#14 - 10/31/2016 06:06 AM - Atsuko Satta

- Status changed from Closed to In Progress

#15 - 10/31/2016 06:17 AM - Atsuko Satta

- % Done changed from 100 to 90

#16 - 10/31/2016 06:18 AM - Atsuko Satta

- Due date changed from 10/03/2016 to 11/04/2016
#17 - 10/31/2016 06:24 AM - Enkin Oh

新垣さん

U-NEXT経由USEN向けサービスについて、11月から新しいプラン（スタンダード）が提供される予定です。

新プランの提供及び請求の都合で以下の変更があります。

①提供プラン

　・BGMプラン商品コード：UN-DL-US(9月に出荷した回線)、 UN-DLM-US, UN-DLN-US

　・スタンダードプラン商品コード：UN-DLG-US、UN-DLGM-US, UN-DLGN-US

②オペレーションの変更

　受注種別：プリペイドサービス(b-mobile)➩データ通信サービス(卸売)

　出荷SIMがU-NEXT共通バルクSIM　UN-DL,UN-DLM,UN-DLNに変更

　出荷した後に、MSPポータルか手動でプランの商品コードを付与する

（備考：本日10/31は以上の仕組みで、50回線を出荷します。）

つきましては、以下の確認及び追加作業をお願いします。

①確認のお願い：以上の変更で使用データ量の自動送信に影響があるかどうか。

　影響がある場合は、ご調整をお願いできますでしょうか。

②追加のお願い：既存プランの上、スタンダードプラン回線の追加をお願いします。

③相談：ビジネスチームからの要望ですが、各回線のプランを区分するために、データレポートに商品コードの表示は可能でしょうか。

大変お手数をおかけいたしますが、ご確認・ご対応をよろしくお願いいたします。

#18 - 10/31/2016 07:37 PM - Takashi Arakaki

検討結果

①確認のお願い：以上の変更で使用データ量の自動送信に影響があるかどうか。

　影響がある場合は、ご調整をお願いできますでしょうか。

影響があります。

Godzillaの回線プロファイル上の商品コードを見ているため、プラン変更受注で変更後の商品コードが変わらなければ対応できますが、追加される場合はプログラムの修正が必要になります。

今後も商品コードが増えてくる場合は、部署番号等で絞り込む仕組みが必要と考えられます。

別途確認事項を切り出したチケットを作成しますので、商品企画側でご検討をお願いします。

cf.現状の回線抽出のロジック

Godzilla回線プロファイルから、対象となる商品コードに該当する回線で、かつ、（SO停止日が１ヶ月前以降の日付であるか、SO停止日が入力されていない回線）を抽出しています。

契約種別等の影響はない一方、商品コードが追加される度にメンテが必要になります。

 

②追加のお願い：既存プランの上、スタンダードプラン回線の追加をお願いします。

①のとおり、対応します。

 

③相談：ビジネスチームからの要望ですが、各回線のプランを区分するために、データレポートに商品コードの表示は可能でしょうか。

商品コードの表示は、Godzillaの商品コードで大丈夫だとは思いますが、念のため、ご確認をお願いします。

この点も、別途確認用のチケットを作成します。
対応事項

1. 対象回線を抽出する際に、商品コード：UN-DLG-US、UN-DLGM-US, UN-DLGN-USを追加（11/7レポートから適用予定）

2. レポートへの商品コードの追加（企画側の回答結果を踏まえて、対応予定。工数を踏まえて、適用時期を確認します）

#19 - 11/01/2016 09:34 PM - Enkin Oh

認識がずれると怖いので、①、②について、確認させていただきます。

USENサービスについて、現状以下の3回を出荷しています。

▼出荷1回目

受注ID：1448780　出荷日：2016/09/12　　契約種別：プリペイドサービス(b-mobile)

ゴジラ出荷商品コード：UN-DL-US（ゴジラ商品コード＝コメット商品コード）

出荷後、コメット商品コードが自動的に付与される。

▼出荷2回目

受注ID：1453260  出荷日：2016/09/30   契約種別：b-mobile(プリペイド)

ゴジラ出荷商品コード：UN-DL-US（ゴジラ商品コード＝コメット商品コード）

出荷後、コメット商品コードが自動的に付与される。

▼出荷3回目（3回目から変更あり）

受注ID：1460958　出荷日：2016/10/31　　契約種別：データ通信サービス(卸売)

ゴジラ出荷商品コード：UN-DL（ゴジラ商品コード≠コメット商品コード）

出荷後、shipmentにてBGMプランのコメット商品コードを手動で付ける。

これからの出荷はプランに関わらず、U-NEXT法人共通バルクSIM(UN-DL / UN-DLM / UN-DLN)で出荷を行う予定です。

→GOZILLA商品コードを参照するとすれば、出荷プランに関わらず昨日出荷した回線から抽出するプログラムに商品コード(UN-DL / UN-DLM / UN-DLN)を追加するとの考え方は合っていますでしょうか。

③について、＃1735にて相談いたします。

#20 - 11/02/2016 09:26 PM - Takashi Arakaki

- % Done changed from 90 to 100

開発側によるGodzillaデータベースへのプラン情報の反映作業（チケット#1758）が積み残しになっているものの、要件の確認ができたため、商品コード付のレポートを本番環境に反映しました。

開発側での作業が難しいようであれば、一度プラン情報がないバージョンにロールバックした上で、そのときにGodzillaで拾える対象商品コードに変更し、再デプロイする予定です。

この点、こちらで、フォローします。
#21 - 11/09/2016 06:57 PM - Takashi Arakaki

- Status changed from In Progress to Closed

Files

Solution Specific Plan for USEN IP チューナーSIM サービス仕様書R0.5_20160920.docx278 KB 09/20/2016 Enkin Oh

WeeklyDataUsage_201609240854.csv 696 Bytes 09/23/2016 Takashi Arakaki

DailyDataUsage_201609240854.csv 782 Bytes 09/23/2016 Takashi Arakaki
